<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.region.mapper.BussinessRegionMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="regionResultMap" type="org.springblade.modules.guosen.region.entity.BussinessRegion">
        <result column="province_code" property="provinceCode"/>
        <result column="province_name" property="provinceName"/>
        <result column="city_code" property="cityCode"/>
        <result column="city_name" property="cityName"/>
        <result column="district_code" property="districtCode"/>
        <result column="district_name" property="districtName"/>
    </resultMap>


    <select id="selectRegionPage" resultMap="regionResultMap">
        select * from cyzh_region where is_deleted = 0
    </select>

</mapper>
